<%@ Page Language="vb" AutoEventWireup="false" MasterPageFile="~/Master/User.Master" CodeBehind="MyProfile.aspx.vb" Inherits="Dingtai.Website.MyProfile" 
    title="无标题页" %>
<%@ Register src="~/App_Data/Controls/PageControl.ascx" tagname="PageControl" tagprefix="uc1" %>
<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder1" runat="server">
<div id="body_left">
<div class="body_left_top"></div>
<div id="body_left_conter">
<div id="upload_title" style="color:#FFF;">我的收藏夹
  <div class="back"><a href="javascript:history.back(-1)">返回上页</a></div>
</div>

<div class="Favorites">
<div class="Favorites_box">
<asp:Repeater ID="Repeater1" runat="server">
  <HeaderTemplate>
<ul>
</HeaderTemplate>
<ItemTemplate>
<li><p><a href="#" onclick ="window.open('<%#Eval("Url") %>')" ><img src='<%# Dingtai.Output.Items.Cache_New.GetImgPath(Eval("MediaID").ToString(),Eval("IsHD"))  %>' width="122" height="92"></a></p>
<a href="#" onclick ="window.open('<%#Eval("Url") %>')" ><span><%#Eval("Title")%></span></a>  
<a href="#" class="an5" onclick="delpa('<%#Eval("ID") %>');">删除</a></span>
</span>
</li>
</ItemTemplate>
<FooterTemplate>  
</ul>
</FooterTemplate> 

</asp:Repeater>
<div class="clear"></div>
</div>
  <div class="info_page">
                <uc1:PageControl ID="page2" runat="server" ShowFirstLast="true" ShowPrevNext="true"       
                    PrevPageText="上一页" NextPageText="下一页" AlwaysShow="true"  ShowCustomInfoSec="left" 
                    NumericButtonCount="15" PagingButtonSpacing="10px" PageSize="12"
                    CustomInfoClass="" InputBoxHeight="" SubmitButtonClass="" ShowInputBoxB="Never" />
            </div>

</div>
</div>
<div class="body_left_bottom"></div>
</div>
<script type="text/javascript" language="javascript">
 
    //删除
    function delpa(id){
        if (id == "") {
            alert("无参数传递!");
            return;
        }
        
        if (!confirm("确认删除此收藏?"))
        {
            return;
        }
        
        var ret = MyProfile.Delpa(id)
//        alert(ret.ToString());
        if (ret.value == true)
        {
            alert("删除成功!");
            refreshPage();  
        }
    }
    
    function refreshPage()
    {
         location.reload();
    }
</script>
</asp:Content>
